digiKam Developer Documentation: Digikam::DConfigDlgWdgItem Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Properties | List of all members
Digikam::DConfigDlgWdgItem Class Reference

DConfigDlgWdgItem is used by DConfigDlgWdg and represents a page.

Inheritance diagram for Digikam::DConfigDlgWdgItem:

## Public Slots
void | setChecked (bool checked)
| Sets whether the page widget item is checked.
void | setEnabled (bool)
| Sets whether the page widget item is enabled.

## Signals
void | changed ()
| This signal is emitted whenever the icon or header is changed.
void | toggled (bool checked)
| This signal is emitted whenever the user checks or unchecks the item of.

## Public Member Functions
| DConfigDlgWdgItem (QWidget *const widget)
| Creates a new page widget item.
| DConfigDlgWdgItem (QWidget *const widget, const QString &name)
| Creates a new page widget item.
| ~DConfigDlgWdgItem () override
| Destroys the page widget item.
QString | header () const
| Returns the header of the page widget item.
QIcon | icon () const
| Returns the icon of the page widget item.
bool | isCheckable () const
| Returns whether the page widget item is checkable.
bool | isChecked () const
| Returns whether the page widget item is checked.
bool | isEnabled () const
| Returns whether the page widget item is enabled.
QString | name () const
| Returns the name of the page widget item.
void | setCheckable (bool checkable)
| Sets whether the page widget item is checkable in the view.
void | setHeader (const QString &header)
| Sets the header of the page widget item.
void | setIcon (const QIcon &icon)
| Sets the icon of the page widget item.
void | setName (const QString &name)
| Sets the name of the item as shown in the navigation view of the page widget.
QWidget * | widget () const
| Returns the widget of the page widget item.

## Properties
bool | checkable
bool | checked
bool | enabled
| This property holds whether the item is enabled.
QString | header
QIcon | icon
QString | name

## Constructor & Destructor Documentation

## ◆ DConfigDlgWdgItem() [1/2]

Digikam::DConfigDlgWdgItem::DConfigDlgWdgItem | ( | QWidget *const | widget | ) |
| explicit

Parameters

  widget | The widget that is shown as page in the DConfigDlgWdg.

Hide the widget, otherwise when the widget has this DConfigDlgView as parent the widget is shown outside the QStackedWidget if the page was not selected ( and reparented ) yet.

## ◆ DConfigDlgWdgItem() [2/2]

Digikam::DConfigDlgWdgItem::DConfigDlgWdgItem | ( | QWidget *const | widget,
|  | const QString & | name
| ) |  |

Parameters

  widget | The widget that is shown as page in the DConfigDlgWdg.
  name | The localized string that is show in the navigation view of the DConfigDlgWdg.

Hide the widget, otherwise when the widget has this DConfigDlgView as parent the widget is shown outside the QStackedWidget if the page was not selected ( and reparented ) yet.

## Member Function Documentation

## ◆ setCheckable()

void Digikam::DConfigDlgWdgItem::setCheckable | ( | bool | checkable | ) |

Parameters

  checkable | True if the page widget is checkable, otherwise false.

## ◆ setHeader()

void Digikam::DConfigDlgWdgItem::setHeader | ( | const QString & | header | ) |

If setHeader(QString()) is used, what is the default if the header does not got set explicit, then the defined name() will also be used for the header. If setHeader("") is used, the header will be hidden even if the DConfigDlgView::FaceType is something else then Tabbed.

Parameters

  header | Header of the page widget item.

## ◆ setIcon()

void Digikam::DConfigDlgWdgItem::setIcon | ( | const QIcon & | icon | ) |

Parameters

  icon | Icon of the page widget item.

## ◆ toggled

void Digikam::DConfigDlgWdgItem::toggled | ( | bool | checked | ) |
| signal

See also
  setChecked() is called.

## Property Documentation

## ◆ enabled

bool Digikam::DConfigDlgWdgItem::enabled
| readwrite

It dis-/enables both the widget and the item in the list-/treeview.